<!DOCTYPE html>
<html>

<head>
  <title>{{ title }}</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
</head>

<style>
  input[type="color"],
  input[type="date"],
  input[type="datetime"],
  input[type="datetime-local"],
  input[type="email"],
  input[type="month"],
  input[type="number"],
  input[type="password"],
  input[type="search"],
  input[type="tel"],
  input[type="text"],
  input[type="time"],
  input[type="url"],
  input[type="week"],
  input,
  select:focus,
  textarea {
    font-size: 16px;
  }
</style>

<body class="ph-us-mobile-legacy">
  <div id="errorlogger">
    {{!-- <h1>Errors</h1> --}}
  </div>
  <script>
    {{{ errors }}}

    if (window.parent) {
      window.parent.postMessage({ type: "idp-ui-initialized" }, "*")
    }

    window.onerror = function (msg, url, lineNo, columnNo, error) {
      console.error({ msg, url, lineNo, columnNo, error })
      return false;
    }

    window.onunhandledrejection = (event) => {
      console.warn('UNHANDLED REJECTION', event)
    }

    const ERROR_MESSAGES = {
      auth_invalid_email: "Please enter a valid email",
      auth_invalid_first_name: "Please enter your first name",
      auth_invalid_last_name: "Please enter your first name",
      auth_invalid_password: "Password does not meet complexity requirements",
      auth_invalid_tos: "Terms and conditions were not included in the form submission",
      auth_mismatch_credentials: "The email / password you entered is incorrect",
      auth_mismatch_passwords: "The passwords must match",
      auth_missing_email: "Please enter your email address",
      auth_missing_first_name: "Please enter your first name",
      auth_missing_last_name: "Please enter your last name",
      auth_missing_password: "Please enter your password",
      auth_missing_terms_and_conditions: "You must check the box to indicate you agree to the Terms and Conditions",
      auth_missing_tos: "You must check the box to indicate you agree to the Terms of Service",
      idp_external_request_failure: "We're sorry, something went wrong. Please try again.",
      internal_server_error: "We're sorry, something went wrong. Please try again.",
      invalid_request: "We're sorry, something went wrong. Please try again.",
      temp_lock_account: "For security reasons, your account has been locked. You can try again in 5 minutes or reset your password now.",
      auth_invalid_terms_and_conditions: "Terms and conditions were not included in the form submission",
      auth_mismatch_password: "The passwords must match",
      phone_field_required: "Please enter your phone number",
      auth_invalid_phone: "Please enter a valid phone number",
      profile_requirement_error: "We're sorry, something went wrong. Please try again.",
      nationalIdentifier_field_required: "Missing country code on phone number",
      invalid_input: "An account using that email already exists",
      perm_lock_account: "For security reasons, your account has been locked. Please check your email for password reset instructions.",
      'auth_invalid_birthday.year': 'invalid birthday year',
      'auth_invalid_birthday.month': 'invalid birthday month',
      'auth_invalid_birthday.day': 'invalid birthday day',
    };

  </script>
  {{{ body }}}
</body>

</html>